#! /bin/bash

# author: X.Gan

# imaq.sh  This is the only file executed directly by end user.

printheader () {
    echo  -e "#! /bin/bash"
}

function printverifycom {
    if [ "$#" -lt 1 ]; then
    	ver_succ="IMRSUCCESSFUL"
    	ver_fail="IMRFAILED"
    else
    	ver_succ="$1"
    	ver_fail="$2"
    fi
    echo "zztt=\$?; if [ \"\$zztt\" != 0 ]; then echo \"$ver_fail\" \$zztt; exit 1; else echo \"$ver_succ\"; fi"
}


if [ "$#" -gt 0 ]; then
   #echo "$1 $2 $3 $4 $5 $6 $7 $8 $9"  >&2 
   $1 "$2" "$3" "$4" "$5" "$6" "$7" "$8" "$9" 
fi
